API 參考
擷取護欄
按前綴 ID 擷取一個有效護欄。
按前綴 ID 擷取一個有效護欄。
端點
- 基礎 URL
https://runapi.ai- API 版本
v1- 身份驗證
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
02
JSON 內容請求
僅在列出的請求位置傳送值。
路徑參數1 個欄位
idstring
必填
Guardrail 前綴 ID,例如 guardrail_abc123。
03
HTTP 200成功回應
GET /api/v1/guardrails/:id
JSON
{
"allowed_models": [
"gpt-5.4"
],
"allowed_providers": [],
"assignment_count": 1,
"blocked_models": [],
"blocked_providers": [],
"created_at": "2026-07-27T10:00:00.000Z",
"credit_limit_cents": 50000,
"credit_limit_reset_interval": "monthly",
"description": "Production policy",
"enabled": true,
"id": "guardrail_123",
"model_budgets": [
{
"credit_limit_cents": 10000,
"credit_limit_reset_interval": "monthly",
"match_mode": "include",
"models": [
"gpt-5.4"
]
}
],
"name": "Production budget"
}
04
HTTP 401錯誤回應(401)
回應結構
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Authentication required"
}
05
HTTP 403錯誤回應(403)
回應結構
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Management API key required"
}
06
HTTP 403錯誤回應(403)
回應結構
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Account admin required"
}
07
HTTP 404錯誤回應(404)
回應結構
JSON
{
"properties": {
"error": {
"description": "人類可讀的錯誤訊息。",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
回應範例
JSON
{
"error": "Resource not found"
}
08
cURL 範例
CURL
curl -X GET https://runapi.ai/api/v1/guardrails/guardrail_123 \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'